# Method: projects.locations.reportConfigs.patch

Updates an existing inventory report configuration in a given project for a given location.

### HTTP request

`PATCH https://storageinsights.googleapis.com/v1/{reportConfig.name=projects/*/locations/*/reportConfigs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `reportConfig.name` | `string` Identifier. Name of resource. Format: `projects/{projectId}/locations/{location}/reportConfigs/{report-config-id}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. A mask specifying a list of fields to be updated in the `ReportConfig` resource. The fields specified in the `updateMask` are relative to the resource, not the full request. A field is overwritten if it is in the mask. The `updateMask` is required. This is a comma-separated list of fully qualified names of fields. Example: `displayName,frequency_options.frequency`. |
| `requestId` | `string` Optional. A unique identifier for your request. Specify the request ID if you need to retry the request. If you retry the request with the same ID within 60 minutes, the server ignores the request if it has already completed the original request. For example, if your initial request times out and you retry the request using the same request ID, the server recognizes the original request and does not process the new request. The request ID must be a valid UUID and cannot be a zero UUID (00000000-0000-0000-0000-000000000000). |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.reportConfigs#ReportConfig`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.reportConfigs#ReportConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `storageinsights.reportConfigs.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).